# defaults.properties
# NOTE: property values can contain other properties' values via expression ${property-name}

# default(s)
default.timezone=UTC
default.charset=UTF-8
default.hostname=localhost
default.ip_address=127.0.0.1
default.bind_port=7777
default.heartbeat=10000
#default.environment=dev
#default.environment_dtp=dev
#default.home_folder=/Users/roberto/Development/SIAE-SOPHIA/eclipse-neon-workspace/sophia-coreid/tmp
#default.home_folder=/home/roberto.cerfogli/coreid/${default.environment_dtp}
#default.home_folder=/var/local/sophia/${default.environment_dtp}/coreid
#default.debug=true


# big decimal
big_decimal.scale=20
big_decimal.tolerance=1e-6

# gson
gson.html_escaping=false
gson.pretty_printing=false


# HTTP
#http.proxy.host=127.0.0.1
#http.proxy.port=8080
#http.user_agent=Mozilla/4.0 (compatible; sophia-coreid/1.0.0; Linux version 3.10.0-693.17.1.el7.x86_64)
#http.ssl_config_prefix=https_${default.environment}
#http.connect_timeout=6s
#http.socket_timeout=6s
#http.max_redirects=3


# HTTPS dev
#https_dev.key_store.type=PKCS12
https_dev.key_store.self_signed=true
https_dev.key_store.file=/etc/pki/ca-trust/source/anchors/muletstkeystore.ks
https_dev.key_store.alias=muletstcert
https_dev.key_store.password=test1234
#https_dev.key.password=
#https_dev.verify_hostnames=false

# HTTPS debug
#https_debug.key_store.type=PKCS12
https_debug.key_store.self_signed=true
https_debug.key_store.file=/etc/pki/ca-trust/source/anchors/muletstkeystore.ks
https_debug.key_store.alias=muletstcert
https_debug.key_store.password=test1234
#https_dev.key.password=
#https_dev.verify_hostnames=false

# HTTPS prod
#https_prod.key_store.type=JKS
https_prod.key_store.self_signed=true
https_prod.key_store.file=/etc/pki/ca-trust/source/anchors/truststore.ks
https_prod.key_store.alias=muleprdcert
https_prod.key_store.password=PrdMuLE017
#https_prod.key.password=
https_prod.verify_hostnames=false


# AWS
aws.region=eu-west-1
#aws.credentials=/etc/sophia/AwsCredentials.properties


# S3
s3.retry.list_objects=2
s3.retry.get_object=2
s3.retry.put_object=2
s3.retry.delete_object=2
s3.retry.download_to_file=2


# SQS
sqs.endpoint=https://sqs.eu-west-1.amazonaws.com
sqs.max_number_of_messages=1
sqs.visibility_timeout=900


# log4j2
#log4j.configuration=src/main/resources/log4j2.xml
#log4j.configuration=/var/local/sophia/${default.environment_dtp}/log4j2.xml


# mcmdb data source
mcmdb_data_source=MCMDB_${default.environment}

# MCMDB dev
#MCMDB_dev.jdbc.url=jdbc:mysql://localhost:3306/MCMDB_dev?verifyServerCertificate=false&useSSL=true
MCMDB_dev.jdbc.url=jdbc:mysql://sophiardsmysql.c80o09gom219.eu-west-1.rds.amazonaws.com:3306/MCMDB_dev?verifyServerCertificate=false&useSSL=true
MCMDB_dev.jdbc.user=sophiamysql
MCMDB_dev.jdbc.password=6*!.84~m%2BW
MCMDB_dev.dbcp.initial_size=0
MCMDB_dev.dbcp.max_total=8
MCMDB_dev.dbcp.max_idle=8
MCMDB_dev.dbcp.min_idle=0
MCMDB_dev.dbcp.max_wait_millis=-1

# MCMDB debug
#MCMDB_debug.jdbc.url=jdbc:mysql://localhost:3306/MCMDB_debug?verifyServerCertificate=false&useSSL=true
MCMDB_debug.jdbc.url=jdbc:mysql://sophiardsmysql.c80o09gom219.eu-west-1.rds.amazonaws.com:3306/MCMDB_debug?verifyServerCertificate=false&useSSL=true
MCMDB_debug.jdbc.user=sophiamysql
MCMDB_debug.jdbc.password=6*!.84~m%2BW
MCMDB_debug.dbcp.initial_size=0
MCMDB_debug.dbcp.max_total=8
MCMDB_debug.dbcp.max_idle=8
MCMDB_debug.dbcp.min_idle=0
MCMDB_debug.dbcp.max_wait_millis=-1

# MCMDB prod
#MCMDB_prod.jdbc.url=jdbc:mysql://localhost:3307/MCMDB_prod?verifyServerCertificate=false&useSSL=true
MCMDB_prod.jdbc.url=jdbc:mysql://siae-sophia-mysql-prod-01.c80o09gom219.eu-west-1.rds.amazonaws.com:3306/MCMDB_prod?verifyServerCertificate=false&useSSL=true
MCMDB_prod.jdbc.user=sophiamysqlprd01
MCMDB_prod.jdbc.password=E~3g%87;W_MM
MCMDB_prod.dbcp.initial_size=0
MCMDB_prod.dbcp.max_total=8
MCMDB_prod.dbcp.max_idle=8
MCMDB_prod.dbcp.min_idle=0
MCMDB_prod.dbcp.max_wait_millis=-1


# sophia kb data source
sophia_kb_data_source=sophia_kb_${default.environment}

# sophia_kb dev
#sophia_kb_dev.jdbc.url=jdbc:mysql://localhost:3306/sophia_kb_dev?verifyServerCertificate=false&useSSL=true
sophia_kb_dev.jdbc.url=jdbc:mysql://sophiardsmysql.c80o09gom219.eu-west-1.rds.amazonaws.com:3306/sophia_kb_dev?verifyServerCertificate=false&useSSL=true
sophia_kb_dev.jdbc.user=sophiamysql
sophia_kb_dev.jdbc.password=6*!.84~m%2BW
sophia_kb_dev.dbcp.initial_size=0
sophia_kb_dev.dbcp.max_total=8
sophia_kb_dev.dbcp.max_idle=8
sophia_kb_dev.dbcp.min_idle=0
sophia_kb_dev.dbcp.max_wait_millis=-1

# sophia_kb debug
#sophia_kb_debug.jdbc.url=jdbc:mysql://localhost:3306/sophia_kb_debug?verifyServerCertificate=false&useSSL=true
sophia_kb_debug.jdbc.url=jdbc:mysql://sophiardsmysql.c80o09gom219.eu-west-1.rds.amazonaws.com:3306/sophia_kb_debug?verifyServerCertificate=false&useSSL=true
sophia_kb_debug.jdbc.user=sophiamysql
sophia_kb_debug.jdbc.password=6*!.84~m%2BW
sophia_kb_debug.dbcp.initial_size=0
sophia_kb_debug.dbcp.max_total=8
sophia_kb_debug.dbcp.max_idle=8
sophia_kb_debug.dbcp.min_idle=0
sophia_kb_debug.dbcp.max_wait_millis=-1

# sophia_kb prod
#sophia_kb_prod.jdbc.url=jdbc:mysql://localhost:3308/sophia_kb_prod?verifyServerCertificate=false&useSSL=true
sophia_kb_prod.jdbc.url=jdbc:mysql://siae-sophia-mysql-prod-02.c80o09gom219.eu-west-1.rds.amazonaws.com:3306/sophia_kb_prod?verifyServerCertificate=false&useSSL=true
sophia_kb_prod.jdbc.user=sophiamysqlprd02
sophia_kb_prod.jdbc.password=5n.3z~Q:5X9e
sophia_kb_prod.dbcp.initial_size=0
sophia_kb_prod.dbcp.max_total=8
sophia_kb_prod.dbcp.max_idle=8
sophia_kb_prod.dbcp.min_idle=0
sophia_kb_prod.dbcp.max_wait_millis=-1


# ulisse data source
ulisse_data_source=ULISSE_${default.environment}

# ULISSE dev
ULISSE_dev.jdbc.driver_class=oracle.jdbc.driver.OracleDriver
ULISSE_dev.jdbc.url=jdbc:oracle:thin:@//dbora.sviluppo.siae:1521/M1SVIL.NET.SIAE
ULISSE_dev.jdbc.user=ulisse_user
ULISSE_dev.jdbc.password=ulisse_user
ULISSE_dev.dbcp.initial_size=0
ULISSE_dev.dbcp.max_total=8
ULISSE_dev.dbcp.max_idle=8
ULISSE_dev.dbcp.min_idle=0
ULISSE_dev.dbcp.max_wait_millis=-1

# ULISSE debug
ULISSE_debug.jdbc.driver_class=oracle.jdbc.driver.OracleDriver
ULISSE_debug.jdbc.url=jdbc:oracle:thin:@//dboratest-scan.servizi.siae:1521/M1TEST.NET.SIAE
ULISSE_debug.jdbc.user=ULISSE_ADM
ULISSE_debug.jdbc.password=spochauith
ULISSE_debug.dbcp.initial_size=0
ULISSE_debug.dbcp.max_total=8
ULISSE_debug.dbcp.max_idle=8
ULISSE_debug.dbcp.min_idle=0
ULISSE_debug.dbcp.max_wait_millis=-1

# ULISSE prod
ULISSE_prod.jdbc.driver_class=oracle.jdbc.driver.OracleDriver
ULISSE_prod.jdbc.url=jdbc:oracle:thin:@//dbmisc-scan.servizi.siae:1521/M1PRD.net.siae
ULISSE_prod.jdbc.user=ULISSE_ADM
ULISSE_prod.jdbc.password=spochauith
ULISSE_prod.dbcp.initial_size=0
ULISSE_prod.dbcp.max_total=8
ULISSE_prod.dbcp.max_idle=8
ULISSE_prod.dbcp.min_idle=0
ULISSE_prod.dbcp.max_wait_millis=-1


# ipi data source
ipi_data_source=IPI_${default.environment}

# IPI dev
IPI_dev.jdbc.driver_class=oracle.jdbc.driver.OracleDriver
IPI_dev.jdbc.url=jdbc:oracle:thin:@//dbora.sviluppo.siae:1521/M1SVIL.net.siae
IPI_dev.jdbc.user=ipi_datastage
IPI_dev.jdbc.password=ipi_datastage
IPI_dev.dbcp.initial_size=0
IPI_dev.dbcp.max_total=8
IPI_dev.dbcp.max_idle=8
IPI_dev.dbcp.min_idle=0
IPI_dev.dbcp.max_wait_millis=-1

# IPI debug
IPI_debug.jdbc.driver_class=oracle.jdbc.driver.OracleDriver
IPI_debug.jdbc.url=jdbc:oracle:thin:@//dboratest-scan.servizi.siae:1521/M1TEST.NET.SIAE
IPI_debug.jdbc.user=ipi_datastage
IPI_debug.jdbc.password=Ip1_Da7aSTe16
IPI_debug.dbcp.initial_size=0
IPI_debug.dbcp.max_total=8
IPI_debug.dbcp.max_idle=8
IPI_debug.dbcp.min_idle=0
IPI_debug.dbcp.max_wait_millis=-1

# IPI prod
IPI_prod.jdbc.driver_class=oracle.jdbc.driver.OracleDriver
IPI_prod.jdbc.url=jdbc:oracle:thin:@//dbmisc-scan.servizi.siae:1521/M1PRD.NET.SIAE
IPI_prod.jdbc.user=ipi_user
IPI_prod.jdbc.password=ipi_us3r2016
IPI_prod.dbcp.initial_size=0
IPI_prod.dbcp.max_total=8
IPI_prod.dbcp.max_idle=8
IPI_prod.dbcp.min_idle=0
IPI_prod.dbcp.max_wait_millis=-1


# sun data source
sun_data_source=SUN_${default.environment}

# SUN dev
SUN_dev.jdbc.driver_class=oracle.jdbc.driver.OracleDriver
SUN_dev.jdbc.url=jdbc:oracle:thin:@//dboratest-scan.servizi.siae:1521/SPTEST.NET.SIAE
SUN_dev.jdbc.user=preprod_user
SUN_dev.jdbc.password=P73P70D_US34
SUN_dev.dbcp.initial_size=0
SUN_dev.dbcp.max_total=8
SUN_dev.dbcp.max_idle=8
SUN_dev.dbcp.min_idle=0
SUN_dev.dbcp.max_wait_millis=-1

# SUN debug
SUN_debug.jdbc.driver_class=oracle.jdbc.driver.OracleDriver
SUN_debug.jdbc.url=jdbc:oracle:thin:@//dboratest-scan.servizi.siae:1521/SPTEST.NET.SIAE
SUN_debug.jdbc.user=preprod_user
SUN_debug.jdbc.password=P73P70D_US34
SUN_debug.dbcp.initial_size=0
SUN_debug.dbcp.max_total=8
SUN_debug.dbcp.max_idle=8
SUN_debug.dbcp.min_idle=0
SUN_debug.dbcp.max_wait_millis=-1

# SUN prod
SUN_prod.jdbc.driver_class=oracle.jdbc.driver.OracleDriver
SUN_prod.jdbc.url=jdbc:oracle:thin:@//dbsun-scan.servizi.siae:1521/SPPRD.NET.SIAE
SUN_prod.jdbc.user=spei_reader
SUN_prod.jdbc.password=sp0rt2
SUN_prod.dbcp.initial_size=0
SUN_prod.dbcp.max_total=8
SUN_prod.dbcp.max_idle=8
SUN_prod.dbcp.min_idle=0
SUN_prod.dbcp.max_wait_millis=-1

